Bug 28178 - Image viewer does not select the correct image
Summary: Image viewer does not select the correct image
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Kyle M Hall
URL:
Keywords:
Depends on:
Blocks: 28179
  Show dependency treegraph
 
Reported: 2021-04-20 14:03 UTC by Jonathan Druart
Modified: 2021-05-24 18:31 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.06


Attachments
Bug 28178: Display the correct image in the image viewer (2.89 KB, patch)
2021-04-20 14:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 28178: Display the correct image in the image viewer (2.94 KB, patch)
2021-04-20 14:34 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28178: Display the correct image in the image viewer (3.01 KB, patch)
2021-04-23 14:22 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2021-04-20 14:03:47 UTC
When there are several images attached to a bibliographic record, one can click an image and see it in the image viewer. But the first image is always displayed.
Comment 1 Jonathan Druart 2021-04-20 14:07:20 UTC
Created attachment 119910 [details] [review]
Bug 28178: Display the correct image in the image viewer

When there are several images attached to a bibliographic record, one can click
an image and see it in the image viewer. But the first image is always displayed.

Test plan:
0. Turn on LocalCoverImages and AllowMultipleCovers
1. Attach at least two images to a bibliographic record
2. Go to the detail page, click the "Images" tab and click the second
image.
=> With this patch applied you should see the image you selected

Sponsored-by: Gerhard Sondermann Dialog e.K. (presseplus.de, presseshop.at, presseshop.ch)
Comment 2 Owen Leonard 2021-04-20 14:34:31 UTC
Created attachment 119913 [details] [review]
Bug 28178: Display the correct image in the image viewer

When there are several images attached to a bibliographic record, one can click
an image and see it in the image viewer. But the first image is always displayed.

Test plan:
0. Turn on LocalCoverImages and AllowMultipleCovers
1. Attach at least two images to a bibliographic record
2. Go to the detail page, click the "Images" tab and click the second
image.
=> With this patch applied you should see the image you selected

Sponsored-by: Gerhard Sondermann Dialog e.K. (presseplus.de, presseshop.at, presseshop.ch)

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Kyle M Hall 2021-04-23 14:22:22 UTC
Created attachment 120110 [details] [review]
Bug 28178: Display the correct image in the image viewer

When there are several images attached to a bibliographic record, one can click
an image and see it in the image viewer. But the first image is always displayed.

Test plan:
0. Turn on LocalCoverImages and AllowMultipleCovers
1. Attach at least two images to a bibliographic record
2. Go to the detail page, click the "Images" tab and click the second
image.
=> With this patch applied you should see the image you selected

Sponsored-by: Gerhard Sondermann Dialog e.K. (presseplus.de, presseshop.at, presseshop.ch)

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Jonathan Druart 2021-04-27 14:26:07 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 5 Fridolin Somers 2021-04-30 08:38:50 UTC
Pushed to 20.11.x for 20.11.06
Comment 6 Andrew Fuerste-Henry 2021-05-24 18:31:31 UTC
Patch doesn't apply and cannot recreate the issue anyway; not pushing to 20.05 :)